<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

$esperarCarga=true;

unset($_SESSION['recepcionCompra']);
unset($_SESSION['filtrosRecepcionCompra']);
unset($_SESSION['productosLeidos_NumerosSerie']);

//print_r($_SESSION['recepcionCompraCrossdocking']);

?>
<h2>Recepción de compras <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<div id="popupAlbaranes" class="popup" style="display:none"></div>
<div id="popupAlbaranesContenido" class="popupContenidoScroll" style="display:none"></div>

<div id="listaOrdenes" style="padding-bottom:70px">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location.reload();
	});
	
	$(document).on('click','.lineaOrden',function(){
		$('#popupCargando').show();
		$.post( '<?php echo $rutaHtml; ?>/contenidos/recepciones-compras-albaranes.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>' , { 'proveedorCodigo' : $(this).attr('proveedorCodigo') } )
		.done(function(data) {
			$('#popupCargando').hide();
			$('#popupAlbaranesContenido').html(data);
			$('#popupAlbaranes').show();
			$('#popupAlbaranesContenido').show();
			
			var posicionActual=$(document).scrollTop();
			$('#popupAlbaranesContenido').animate({ top:posicionActual+50 },500);
		});
	});
	
	$(document).on('click','#botonAlbaranesCerrarPopup',function(){
		$('#popupAlbaranes').hide();
		$('#popupAlbaranesContenido').hide();
	});

	
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/recepciones-compras-listado.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" )
	.done(function(data) {
		$('#popupCargando').hide();
		$('#listaOrdenes').html(data);
	});
	
	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
